Error with installing MATLAB Support for MinGW-w64 C/C++ Compiler

2 views (last 30 days)
Hi
I am trying to run .c code on MATLAB. I did try using mex, but it gives me this error:
Error using mex
No supported compiler was found. For options,
After searching, it turns out that I need to download "MATLAB Support for MinGW-w64 C/C++ Compiler"
I tried. But it gives me another error:
The support package is not compatible with your version of MATLAB or operating system
I have MATLAB R2018a, and my laptop is Mac.
Any help?
Thanks

Answers (1)

Moin
Moin on 29 Jun 2022
I understand that you are trying to run C code in MATLAB. Your MATLAB version is R2018a and your operating system is macOS.
But, you have downloaded the package "MATLAB Support for MinGW-w64 C/C++ Compiler" which is for the Windows-64 bit Operating System.So, this is showing an error “The support package is not compatible with your version of MATLAB or operating system” pointing that it’s a wrong package for macOS.
On macOS, no C compiler is supplied with MATLAB. If you use products that require one, Apple's development environment for macOS (Xcode) is available in the Mac App Store.
For more information kindly refer the below documentation links:

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by